clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
clang::tidy::ClangTidyGlobalOptions Struct Reference

Global options. More...

`#include <ClangTidyOptions.h>`

Collaboration diagram for clang::tidy::ClangTidyGlobalOptions:
[legend]

## Public Attributes
std::vector< FileFilter > | LineFilter
| Output warnings from certain line ranges of certain files only. More...

## Detailed Description

Global options.

These options are neither stored nor read from configuration files.

Definition at line 41 of file ClangTidyOptions.h.

## Member Data Documentation

std::vector<FileFilter> clang::tidy::ClangTidyGlobalOptions::LineFilter

Output warnings from certain line ranges of certain files only.

If empty, no warnings will be filtered.

Definition at line 44 of file ClangTidyOptions.h.

Referenced by clang::tidy::parseLineFilter().

The documentation for this struct was generated from the following file:

- ClangTidyOptions.h